Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network246.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
246.0.0.0
Broadcast address
246.63.255.255
First usable
246.0.0.1
Last usable
246.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F6000000 · Integer 4127195136 to 4131389439
Reverse DNS zones
0.246.in-addr.arpa
1.246.in-addr.arpa
2.246.in-addr.arpa
3.246.in-addr.arpa
4.246.in-addr.arpa
5.246.in-addr.arpa
6.246.in-addr.arpa
7.246.in-addr.arpa
8.246.in-addr.arpa
9.246.in-addr.arpa
10.246.in-addr.arpa
11.246.in-addr.arpa
12.246.in-addr.arpa
13.246.in-addr.arpa
14.246.in-addr.arpa
15.246.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110110.00000000.00000000.00000000246.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network11110110.00000000.00000000.00000000246.0.0.0
Broadcast11110110.00111111.11111111.11111111246.63.255.255
Split into smaller subnets/22

246.0.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1246.0.0.0/22246.0.0.1 to 246.0.3.254246.0.3.2551,022
2246.0.4.0/22246.0.4.1 to 246.0.7.254246.0.7.2551,022
3246.0.8.0/22246.0.8.1 to 246.0.11.254246.0.11.2551,022
4246.0.12.0/22246.0.12.1 to 246.0.15.254246.0.15.2551,022
5246.0.16.0/22246.0.16.1 to 246.0.19.254246.0.19.2551,022
6246.0.20.0/22246.0.20.1 to 246.0.23.254246.0.23.2551,022
7246.0.24.0/22246.0.24.1 to 246.0.27.254246.0.27.2551,022
8246.0.28.0/22246.0.28.1 to 246.0.31.254246.0.31.2551,022
9246.0.32.0/22246.0.32.1 to 246.0.35.254246.0.35.2551,022
10246.0.36.0/22246.0.36.1 to 246.0.39.254246.0.39.2551,022
11246.0.40.0/22246.0.40.1 to 246.0.43.254246.0.43.2551,022
12246.0.44.0/22246.0.44.1 to 246.0.47.254246.0.47.2551,022
13246.0.48.0/22246.0.48.1 to 246.0.51.254246.0.51.2551,022
14246.0.52.0/22246.0.52.1 to 246.0.55.254246.0.55.2551,022
15246.0.56.0/22246.0.56.1 to 246.0.59.254246.0.59.2551,022
16246.0.60.0/22246.0.60.1 to 246.0.63.254246.0.63.2551,022
17246.0.64.0/22246.0.64.1 to 246.0.67.254246.0.67.2551,022
18246.0.68.0/22246.0.68.1 to 246.0.71.254246.0.71.2551,022
19246.0.72.0/22246.0.72.1 to 246.0.75.254246.0.75.2551,022
20246.0.76.0/22246.0.76.1 to 246.0.79.254246.0.79.2551,022
21246.0.80.0/22246.0.80.1 to 246.0.83.254246.0.83.2551,022
22246.0.84.0/22246.0.84.1 to 246.0.87.254246.0.87.2551,022
23246.0.88.0/22246.0.88.1 to 246.0.91.254246.0.91.2551,022
24246.0.92.0/22246.0.92.1 to 246.0.95.254246.0.95.2551,022
25246.0.96.0/22246.0.96.1 to 246.0.99.254246.0.99.2551,022
26246.0.100.0/22246.0.100.1 to 246.0.103.254246.0.103.2551,022
27246.0.104.0/22246.0.104.1 to 246.0.107.254246.0.107.2551,022
28246.0.108.0/22246.0.108.1 to 246.0.111.254246.0.111.2551,022
29246.0.112.0/22246.0.112.1 to 246.0.115.254246.0.115.2551,022
30246.0.116.0/22246.0.116.1 to 246.0.119.254246.0.119.2551,022
31246.0.120.0/22246.0.120.1 to 246.0.123.254246.0.123.2551,022
32246.0.124.0/22246.0.124.1 to 246.0.127.254246.0.127.2551,022
33246.0.128.0/22246.0.128.1 to 246.0.131.254246.0.131.2551,022
34246.0.132.0/22246.0.132.1 to 246.0.135.254246.0.135.2551,022
35246.0.136.0/22246.0.136.1 to 246.0.139.254246.0.139.2551,022
36246.0.140.0/22246.0.140.1 to 246.0.143.254246.0.143.2551,022
37246.0.144.0/22246.0.144.1 to 246.0.147.254246.0.147.2551,022
38246.0.148.0/22246.0.148.1 to 246.0.151.254246.0.151.2551,022
39246.0.152.0/22246.0.152.1 to 246.0.155.254246.0.155.2551,022
40246.0.156.0/22246.0.156.1 to 246.0.159.254246.0.159.2551,022
41246.0.160.0/22246.0.160.1 to 246.0.163.254246.0.163.2551,022
42246.0.164.0/22246.0.164.1 to 246.0.167.254246.0.167.2551,022
43246.0.168.0/22246.0.168.1 to 246.0.171.254246.0.171.2551,022
44246.0.172.0/22246.0.172.1 to 246.0.175.254246.0.175.2551,022
45246.0.176.0/22246.0.176.1 to 246.0.179.254246.0.179.2551,022
46246.0.180.0/22246.0.180.1 to 246.0.183.254246.0.183.2551,022
47246.0.184.0/22246.0.184.1 to 246.0.187.254246.0.187.2551,022
48246.0.188.0/22246.0.188.1 to 246.0.191.254246.0.191.2551,022
49246.0.192.0/22246.0.192.1 to 246.0.195.254246.0.195.2551,022
50246.0.196.0/22246.0.196.1 to 246.0.199.254246.0.199.2551,022
51246.0.200.0/22246.0.200.1 to 246.0.203.254246.0.203.2551,022
52246.0.204.0/22246.0.204.1 to 246.0.207.254246.0.207.2551,022
53246.0.208.0/22246.0.208.1 to 246.0.211.254246.0.211.2551,022
54246.0.212.0/22246.0.212.1 to 246.0.215.254246.0.215.2551,022
55246.0.216.0/22246.0.216.1 to 246.0.219.254246.0.219.2551,022
56246.0.220.0/22246.0.220.1 to 246.0.223.254246.0.223.2551,022
57246.0.224.0/22246.0.224.1 to 246.0.227.254246.0.227.2551,022
58246.0.228.0/22246.0.228.1 to 246.0.231.254246.0.231.2551,022
59246.0.232.0/22246.0.232.1 to 246.0.235.254246.0.235.2551,022
60246.0.236.0/22246.0.236.1 to 246.0.239.254246.0.239.2551,022
61246.0.240.0/22246.0.240.1 to 246.0.243.254246.0.243.2551,022
62246.0.244.0/22246.0.244.1 to 246.0.247.254246.0.247.2551,022
63246.0.248.0/22246.0.248.1 to 246.0.251.254246.0.251.2551,022
64246.0.252.0/22246.0.252.1 to 246.0.255.254246.0.255.2551,022
65246.1.0.0/22246.1.0.1 to 246.1.3.254246.1.3.2551,022
66246.1.4.0/22246.1.4.1 to 246.1.7.254246.1.7.2551,022
67246.1.8.0/22246.1.8.1 to 246.1.11.254246.1.11.2551,022
68246.1.12.0/22246.1.12.1 to 246.1.15.254246.1.15.2551,022
69246.1.16.0/22246.1.16.1 to 246.1.19.254246.1.19.2551,022
70246.1.20.0/22246.1.20.1 to 246.1.23.254246.1.23.2551,022
71246.1.24.0/22246.1.24.1 to 246.1.27.254246.1.27.2551,022
72246.1.28.0/22246.1.28.1 to 246.1.31.254246.1.31.2551,022
73246.1.32.0/22246.1.32.1 to 246.1.35.254246.1.35.2551,022
74246.1.36.0/22246.1.36.1 to 246.1.39.254246.1.39.2551,022
75246.1.40.0/22246.1.40.1 to 246.1.43.254246.1.43.2551,022
76246.1.44.0/22246.1.44.1 to 246.1.47.254246.1.47.2551,022
77246.1.48.0/22246.1.48.1 to 246.1.51.254246.1.51.2551,022
78246.1.52.0/22246.1.52.1 to 246.1.55.254246.1.55.2551,022
79246.1.56.0/22246.1.56.1 to 246.1.59.254246.1.59.2551,022
80246.1.60.0/22246.1.60.1 to 246.1.63.254246.1.63.2551,022
81246.1.64.0/22246.1.64.1 to 246.1.67.254246.1.67.2551,022
82246.1.68.0/22246.1.68.1 to 246.1.71.254246.1.71.2551,022
83246.1.72.0/22246.1.72.1 to 246.1.75.254246.1.75.2551,022
84246.1.76.0/22246.1.76.1 to 246.1.79.254246.1.79.2551,022
85246.1.80.0/22246.1.80.1 to 246.1.83.254246.1.83.2551,022
86246.1.84.0/22246.1.84.1 to 246.1.87.254246.1.87.2551,022
87246.1.88.0/22246.1.88.1 to 246.1.91.254246.1.91.2551,022
88246.1.92.0/22246.1.92.1 to 246.1.95.254246.1.95.2551,022
89246.1.96.0/22246.1.96.1 to 246.1.99.254246.1.99.2551,022
90246.1.100.0/22246.1.100.1 to 246.1.103.254246.1.103.2551,022
91246.1.104.0/22246.1.104.1 to 246.1.107.254246.1.107.2551,022
92246.1.108.0/22246.1.108.1 to 246.1.111.254246.1.111.2551,022
93246.1.112.0/22246.1.112.1 to 246.1.115.254246.1.115.2551,022
94246.1.116.0/22246.1.116.1 to 246.1.119.254246.1.119.2551,022
95246.1.120.0/22246.1.120.1 to 246.1.123.254246.1.123.2551,022
96246.1.124.0/22246.1.124.1 to 246.1.127.254246.1.127.2551,022
97246.1.128.0/22246.1.128.1 to 246.1.131.254246.1.131.2551,022
98246.1.132.0/22246.1.132.1 to 246.1.135.254246.1.135.2551,022
99246.1.136.0/22246.1.136.1 to 246.1.139.254246.1.139.2551,022
100246.1.140.0/22246.1.140.1 to 246.1.143.254246.1.143.2551,022
101246.1.144.0/22246.1.144.1 to 246.1.147.254246.1.147.2551,022
102246.1.148.0/22246.1.148.1 to 246.1.151.254246.1.151.2551,022
103246.1.152.0/22246.1.152.1 to 246.1.155.254246.1.155.2551,022
104246.1.156.0/22246.1.156.1 to 246.1.159.254246.1.159.2551,022
105246.1.160.0/22246.1.160.1 to 246.1.163.254246.1.163.2551,022
106246.1.164.0/22246.1.164.1 to 246.1.167.254246.1.167.2551,022
107246.1.168.0/22246.1.168.1 to 246.1.171.254246.1.171.2551,022
108246.1.172.0/22246.1.172.1 to 246.1.175.254246.1.175.2551,022
109246.1.176.0/22246.1.176.1 to 246.1.179.254246.1.179.2551,022
110246.1.180.0/22246.1.180.1 to 246.1.183.254246.1.183.2551,022
111246.1.184.0/22246.1.184.1 to 246.1.187.254246.1.187.2551,022
112246.1.188.0/22246.1.188.1 to 246.1.191.254246.1.191.2551,022
113246.1.192.0/22246.1.192.1 to 246.1.195.254246.1.195.2551,022
114246.1.196.0/22246.1.196.1 to 246.1.199.254246.1.199.2551,022
115246.1.200.0/22246.1.200.1 to 246.1.203.254246.1.203.2551,022
116246.1.204.0/22246.1.204.1 to 246.1.207.254246.1.207.2551,022
117246.1.208.0/22246.1.208.1 to 246.1.211.254246.1.211.2551,022
118246.1.212.0/22246.1.212.1 to 246.1.215.254246.1.215.2551,022
119246.1.216.0/22246.1.216.1 to 246.1.219.254246.1.219.2551,022
120246.1.220.0/22246.1.220.1 to 246.1.223.254246.1.223.2551,022
121246.1.224.0/22246.1.224.1 to 246.1.227.254246.1.227.2551,022
122246.1.228.0/22246.1.228.1 to 246.1.231.254246.1.231.2551,022
123246.1.232.0/22246.1.232.1 to 246.1.235.254246.1.235.2551,022
124246.1.236.0/22246.1.236.1 to 246.1.239.254246.1.239.2551,022
125246.1.240.0/22246.1.240.1 to 246.1.243.254246.1.243.2551,022
126246.1.244.0/22246.1.244.1 to 246.1.247.254246.1.247.2551,022
127246.1.248.0/22246.1.248.1 to 246.1.251.254246.1.251.2551,022
128246.1.252.0/22246.1.252.1 to 246.1.255.254246.1.255.2551,022
129246.2.0.0/22246.2.0.1 to 246.2.3.254246.2.3.2551,022
130246.2.4.0/22246.2.4.1 to 246.2.7.254246.2.7.2551,022
131246.2.8.0/22246.2.8.1 to 246.2.11.254246.2.11.2551,022
132246.2.12.0/22246.2.12.1 to 246.2.15.254246.2.15.2551,022
133246.2.16.0/22246.2.16.1 to 246.2.19.254246.2.19.2551,022
134246.2.20.0/22246.2.20.1 to 246.2.23.254246.2.23.2551,022
135246.2.24.0/22246.2.24.1 to 246.2.27.254246.2.27.2551,022
136246.2.28.0/22246.2.28.1 to 246.2.31.254246.2.31.2551,022
137246.2.32.0/22246.2.32.1 to 246.2.35.254246.2.35.2551,022
138246.2.36.0/22246.2.36.1 to 246.2.39.254246.2.39.2551,022
139246.2.40.0/22246.2.40.1 to 246.2.43.254246.2.43.2551,022
140246.2.44.0/22246.2.44.1 to 246.2.47.254246.2.47.2551,022
141246.2.48.0/22246.2.48.1 to 246.2.51.254246.2.51.2551,022
142246.2.52.0/22246.2.52.1 to 246.2.55.254246.2.55.2551,022
143246.2.56.0/22246.2.56.1 to 246.2.59.254246.2.59.2551,022
144246.2.60.0/22246.2.60.1 to 246.2.63.254246.2.63.2551,022
145246.2.64.0/22246.2.64.1 to 246.2.67.254246.2.67.2551,022
146246.2.68.0/22246.2.68.1 to 246.2.71.254246.2.71.2551,022
147246.2.72.0/22246.2.72.1 to 246.2.75.254246.2.75.2551,022
148246.2.76.0/22246.2.76.1 to 246.2.79.254246.2.79.2551,022
149246.2.80.0/22246.2.80.1 to 246.2.83.254246.2.83.2551,022
150246.2.84.0/22246.2.84.1 to 246.2.87.254246.2.87.2551,022
151246.2.88.0/22246.2.88.1 to 246.2.91.254246.2.91.2551,022
152246.2.92.0/22246.2.92.1 to 246.2.95.254246.2.95.2551,022
153246.2.96.0/22246.2.96.1 to 246.2.99.254246.2.99.2551,022
154246.2.100.0/22246.2.100.1 to 246.2.103.254246.2.103.2551,022
155246.2.104.0/22246.2.104.1 to 246.2.107.254246.2.107.2551,022
156246.2.108.0/22246.2.108.1 to 246.2.111.254246.2.111.2551,022
157246.2.112.0/22246.2.112.1 to 246.2.115.254246.2.115.2551,022
158246.2.116.0/22246.2.116.1 to 246.2.119.254246.2.119.2551,022
159246.2.120.0/22246.2.120.1 to 246.2.123.254246.2.123.2551,022
160246.2.124.0/22246.2.124.1 to 246.2.127.254246.2.127.2551,022
161246.2.128.0/22246.2.128.1 to 246.2.131.254246.2.131.2551,022
162246.2.132.0/22246.2.132.1 to 246.2.135.254246.2.135.2551,022
163246.2.136.0/22246.2.136.1 to 246.2.139.254246.2.139.2551,022
164246.2.140.0/22246.2.140.1 to 246.2.143.254246.2.143.2551,022
165246.2.144.0/22246.2.144.1 to 246.2.147.254246.2.147.2551,022
166246.2.148.0/22246.2.148.1 to 246.2.151.254246.2.151.2551,022
167246.2.152.0/22246.2.152.1 to 246.2.155.254246.2.155.2551,022
168246.2.156.0/22246.2.156.1 to 246.2.159.254246.2.159.2551,022
169246.2.160.0/22246.2.160.1 to 246.2.163.254246.2.163.2551,022
170246.2.164.0/22246.2.164.1 to 246.2.167.254246.2.167.2551,022
171246.2.168.0/22246.2.168.1 to 246.2.171.254246.2.171.2551,022
172246.2.172.0/22246.2.172.1 to 246.2.175.254246.2.175.2551,022
173246.2.176.0/22246.2.176.1 to 246.2.179.254246.2.179.2551,022
174246.2.180.0/22246.2.180.1 to 246.2.183.254246.2.183.2551,022
175246.2.184.0/22246.2.184.1 to 246.2.187.254246.2.187.2551,022
176246.2.188.0/22246.2.188.1 to 246.2.191.254246.2.191.2551,022
177246.2.192.0/22246.2.192.1 to 246.2.195.254246.2.195.2551,022
178246.2.196.0/22246.2.196.1 to 246.2.199.254246.2.199.2551,022
179246.2.200.0/22246.2.200.1 to 246.2.203.254246.2.203.2551,022
180246.2.204.0/22246.2.204.1 to 246.2.207.254246.2.207.2551,022
181246.2.208.0/22246.2.208.1 to 246.2.211.254246.2.211.2551,022
182246.2.212.0/22246.2.212.1 to 246.2.215.254246.2.215.2551,022
183246.2.216.0/22246.2.216.1 to 246.2.219.254246.2.219.2551,022
184246.2.220.0/22246.2.220.1 to 246.2.223.254246.2.223.2551,022
185246.2.224.0/22246.2.224.1 to 246.2.227.254246.2.227.2551,022
186246.2.228.0/22246.2.228.1 to 246.2.231.254246.2.231.2551,022
187246.2.232.0/22246.2.232.1 to 246.2.235.254246.2.235.2551,022
188246.2.236.0/22246.2.236.1 to 246.2.239.254246.2.239.2551,022
189246.2.240.0/22246.2.240.1 to 246.2.243.254246.2.243.2551,022
190246.2.244.0/22246.2.244.1 to 246.2.247.254246.2.247.2551,022
191246.2.248.0/22246.2.248.1 to 246.2.251.254246.2.251.2551,022
192246.2.252.0/22246.2.252.1 to 246.2.255.254246.2.255.2551,022
193246.3.0.0/22246.3.0.1 to 246.3.3.254246.3.3.2551,022
194246.3.4.0/22246.3.4.1 to 246.3.7.254246.3.7.2551,022
195246.3.8.0/22246.3.8.1 to 246.3.11.254246.3.11.2551,022
196246.3.12.0/22246.3.12.1 to 246.3.15.254246.3.15.2551,022
197246.3.16.0/22246.3.16.1 to 246.3.19.254246.3.19.2551,022
198246.3.20.0/22246.3.20.1 to 246.3.23.254246.3.23.2551,022
199246.3.24.0/22246.3.24.1 to 246.3.27.254246.3.27.2551,022
200246.3.28.0/22246.3.28.1 to 246.3.31.254246.3.31.2551,022
201246.3.32.0/22246.3.32.1 to 246.3.35.254246.3.35.2551,022
202246.3.36.0/22246.3.36.1 to 246.3.39.254246.3.39.2551,022
203246.3.40.0/22246.3.40.1 to 246.3.43.254246.3.43.2551,022
204246.3.44.0/22246.3.44.1 to 246.3.47.254246.3.47.2551,022
205246.3.48.0/22246.3.48.1 to 246.3.51.254246.3.51.2551,022
206246.3.52.0/22246.3.52.1 to 246.3.55.254246.3.55.2551,022
207246.3.56.0/22246.3.56.1 to 246.3.59.254246.3.59.2551,022
208246.3.60.0/22246.3.60.1 to 246.3.63.254246.3.63.2551,022
209246.3.64.0/22246.3.64.1 to 246.3.67.254246.3.67.2551,022
210246.3.68.0/22246.3.68.1 to 246.3.71.254246.3.71.2551,022
211246.3.72.0/22246.3.72.1 to 246.3.75.254246.3.75.2551,022
212246.3.76.0/22246.3.76.1 to 246.3.79.254246.3.79.2551,022
213246.3.80.0/22246.3.80.1 to 246.3.83.254246.3.83.2551,022
214246.3.84.0/22246.3.84.1 to 246.3.87.254246.3.87.2551,022
215246.3.88.0/22246.3.88.1 to 246.3.91.254246.3.91.2551,022
216246.3.92.0/22246.3.92.1 to 246.3.95.254246.3.95.2551,022
217246.3.96.0/22246.3.96.1 to 246.3.99.254246.3.99.2551,022
218246.3.100.0/22246.3.100.1 to 246.3.103.254246.3.103.2551,022
219246.3.104.0/22246.3.104.1 to 246.3.107.254246.3.107.2551,022
220246.3.108.0/22246.3.108.1 to 246.3.111.254246.3.111.2551,022
221246.3.112.0/22246.3.112.1 to 246.3.115.254246.3.115.2551,022
222246.3.116.0/22246.3.116.1 to 246.3.119.254246.3.119.2551,022
223246.3.120.0/22246.3.120.1 to 246.3.123.254246.3.123.2551,022
224246.3.124.0/22246.3.124.1 to 246.3.127.254246.3.127.2551,022
225246.3.128.0/22246.3.128.1 to 246.3.131.254246.3.131.2551,022
226246.3.132.0/22246.3.132.1 to 246.3.135.254246.3.135.2551,022
227246.3.136.0/22246.3.136.1 to 246.3.139.254246.3.139.2551,022
228246.3.140.0/22246.3.140.1 to 246.3.143.254246.3.143.2551,022
229246.3.144.0/22246.3.144.1 to 246.3.147.254246.3.147.2551,022
230246.3.148.0/22246.3.148.1 to 246.3.151.254246.3.151.2551,022
231246.3.152.0/22246.3.152.1 to 246.3.155.254246.3.155.2551,022
232246.3.156.0/22246.3.156.1 to 246.3.159.254246.3.159.2551,022
233246.3.160.0/22246.3.160.1 to 246.3.163.254246.3.163.2551,022
234246.3.164.0/22246.3.164.1 to 246.3.167.254246.3.167.2551,022
235246.3.168.0/22246.3.168.1 to 246.3.171.254246.3.171.2551,022
236246.3.172.0/22246.3.172.1 to 246.3.175.254246.3.175.2551,022
237246.3.176.0/22246.3.176.1 to 246.3.179.254246.3.179.2551,022
238246.3.180.0/22246.3.180.1 to 246.3.183.254246.3.183.2551,022
239246.3.184.0/22246.3.184.1 to 246.3.187.254246.3.187.2551,022
240246.3.188.0/22246.3.188.1 to 246.3.191.254246.3.191.2551,022
241246.3.192.0/22246.3.192.1 to 246.3.195.254246.3.195.2551,022
242246.3.196.0/22246.3.196.1 to 246.3.199.254246.3.199.2551,022
243246.3.200.0/22246.3.200.1 to 246.3.203.254246.3.203.2551,022
244246.3.204.0/22246.3.204.1 to 246.3.207.254246.3.207.2551,022
245246.3.208.0/22246.3.208.1 to 246.3.211.254246.3.211.2551,022
246246.3.212.0/22246.3.212.1 to 246.3.215.254246.3.215.2551,022
247246.3.216.0/22246.3.216.1 to 246.3.219.254246.3.219.2551,022
248246.3.220.0/22246.3.220.1 to 246.3.223.254246.3.223.2551,022
249246.3.224.0/22246.3.224.1 to 246.3.227.254246.3.227.2551,022
250246.3.228.0/22246.3.228.1 to 246.3.231.254246.3.231.2551,022
251246.3.232.0/22246.3.232.1 to 246.3.235.254246.3.235.2551,022
252246.3.236.0/22246.3.236.1 to 246.3.239.254246.3.239.2551,022
253246.3.240.0/22246.3.240.1 to 246.3.243.254246.3.243.2551,022
254246.3.244.0/22246.3.244.1 to 246.3.247.254246.3.247.2551,022
255246.3.248.0/22246.3.248.1 to 246.3.251.254246.3.251.2551,022
256246.3.252.0/22246.3.252.1 to 246.3.255.254246.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses